<?php

$new_meta_boxes =

array(

"button" => array(

"name" => "button",

"std" => "",

"title" => "Choose the button image displayed in page navigation (pages only).",

"description" => "The following choices are available (case sensitive): blog, contact, downloads, home, works"),

"bgcolor" => array(

"name" => "bgcolor",

"std" => "",

"title" => "Choose the background color of your page or post.",

"description" => "The following choices are available (case sensitive): green, pink, gray, brown")

);

function new_meta_boxes() {

global $post, $new_meta_boxes;



foreach($new_meta_boxes as $meta_box) {

$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);



if($meta_box_value == "")

$meta_box_value = $meta_box['std'];



echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';



echo'<h2>'.$meta_box['title'].'</h2>';



echo'<input type="text" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" size="55" /><br />';



echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'].'</label></p>';

}

}

function create_meta_box() {

global $theme_name;

if ( function_exists('add_meta_box') ) {

add_meta_box( 'new-meta-boxes', 'RS16 Post Settings', 'new_meta_boxes', 'post', 'normal', 'high' );

add_meta_box( 'new-meta-boxes', 'RS16 Page Settings', 'new_meta_boxes', 'page', 'normal', 'high' );

}

}

function save_postdata( $post_id ) {

global $post, $new_meta_boxes;



foreach($new_meta_boxes as $meta_box) {

// Verify

if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {

return $post_id;

}



if ( 'page' == $_POST['post_type'] ) {

if ( !current_user_can( 'edit_page', $post_id ))

return $post_id;

} else {

if ( !current_user_can( 'edit_post', $post_id ))

return $post_id;

}



$data = $_POST[$meta_box['name'].'_value'];



if(get_post_meta($post_id, $meta_box['name'].'_value') == "")

add_post_meta($post_id, $meta_box['name'].'_value', $data, true);

elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))

update_post_meta($post_id, $meta_box['name'].'_value', $data);

elseif($data == "")

delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));

}

}

add_action('admin_menu', 'create_meta_box');

add_action('save_post', 'save_postdata');

function rs16_page_menu() {

	global $wpdb;

	$sql = "SELECT p.ID, p.post_title, p.guid, pm.meta_value FROM " . $wpdb->posts . " AS p LEFT JOIN ";

	$sql .= "(SELECT post_id, meta_value FROM " . $wpdb->postmeta . " AS ipm WHERE meta_key = 'button_value') ";

	$sql .= "AS pm ON p.ID = pm.post_id ";

	$sql .= "WHERE p.post_type = 'page' AND p.post_parent = 0 AND p.post_status = 'publish' ";

	$sql .= "ORDER BY p.menu_order ASC ";

	$sql .= "LIMIT 0, 10";

	$rows = $wpdb->get_results($sql,OBJECT);

	if($rows) {

		foreach($rows as $row) {

		if (is_page($row->ID)) {

			echo "<li class=\"active\">"; } else {

			echo "<li>"; }

			$link_url = get_permalink($row->ID);

			echo "<a href=\"$link_url\"" . "\" title=\"$row->post_title\">";

			$rs16_url = get_bloginfo('template_url');

		if ($row->meta_value) {

			echo "<img src=\"$rs16_url/images/$row->meta_value.png\" alt=\"$row->post_title\" /></a>"; } else {

			echo "<img src=\"$rs16_url/images/works.png\" alt=\"$row->post_title\" /></a>"; }

			echo "</li>";

		}

	}

}

add_filter('wp_page_menu','rs16_page_menu');

add_action( 'wp_print_styles', 'my_deregister_styles', 100 );



function my_deregister_styles() {

	wp_deregister_style( 'wp-pagenavi' );

}

add_action( 'show_user_profile', 'my_show_extra_profile_fields' );

add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

function my_show_extra_profile_fields( $user ) { ?>

	<h3>Extra profile information</h3>

	<table class="form-table">

		<tr>

			<th><label for="twitter">Twitter</label></th>

			<td>

				<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />

				<span class="description">Please enter your Twitter username.</span>

			</td>

		</tr>

	</table>

<?php }

add_action( 'personal_options_update', 'my_save_extra_profile_fields' );

add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );



function my_save_extra_profile_fields( $user_id ) {



	if ( !current_user_can( 'edit_user', $user_id ) )

		return false;



	/* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */

	update_usermeta( $user_id, 'twitter', $_POST['twitter'] );

}

if ( function_exists('register_sidebar') )

register_sidebar(array(

'name' => 'Homepage Top',

'before_widget' => '',

'after_widget' => '',

'before_title' => '<h2>',

'after_title' => '</h2>',

));

if ( function_exists('register_sidebar') )

register_sidebar(array(

'name' => '404',

'before_widget' => '',

'after_widget' => '',

'before_title' => '<h2>',

'after_title' => '</h2>',

));

?>